<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CredenciamentoApp.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti</a> &gt; <span class="el_source">CredenciamentoApp.java</span></div><h1>CredenciamentoApp.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti;

import br.edu.unifacisa.lti.config.ApplicationProperties;
import br.edu.unifacisa.lti.config.DefaultProfileUtil;

import io.github.jhipster.config.JHipsterConstants;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.actuate.autoconfigure.*;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.liquibase.LiquibaseProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.core.env.Environment;

import javax.annotation.PostConstruct;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Arrays;
import java.util.Collection;

@ComponentScan
@EnableAutoConfiguration(exclude = {MetricFilterAutoConfiguration.class, MetricRepositoryAutoConfiguration.class})
@EnableConfigurationProperties({LiquibaseProperties.class, ApplicationProperties.class})
public class CredenciamentoApp {

<span class="fc" id="L29">    private static final Logger log = LoggerFactory.getLogger(CredenciamentoApp.class);</span>

    private final Environment env;

<span class="fc" id="L33">    public CredenciamentoApp(Environment env) {</span>
<span class="fc" id="L34">        this.env = env;</span>
<span class="fc" id="L35">    }</span>

    /**
     * Initializes credenciamento.
     * &lt;p&gt;
     * Spring profiles can be configured with a program arguments --spring.profiles.active=your-active-profile
     * &lt;p&gt;
     * You can find more information on how profiles work with JHipster on &lt;a href=&quot;http://jhipster.github.io/profiles/&quot;&gt;http://jhipster.github.io/profiles/&lt;/a&gt;.
     */
    @PostConstruct
    public void initApplication() {
<span class="fc" id="L46">        Collection&lt;String&gt; activeProfiles = Arrays.asList(env.getActiveProfiles());</span>
<span class="pc bpc" id="L47" title="3 of 4 branches missed.">        if (activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_DEVELOPMENT) &amp;&amp; activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_PRODUCTION)) {</span>
<span class="nc" id="L48">            log.error(&quot;You have misconfigured your application! It should not run &quot; +</span>
                &quot;with both the 'dev' and 'prod' profiles at the same time.&quot;);
        }
<span class="pc bpc" id="L51" title="3 of 4 branches missed.">        if (activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_DEVELOPMENT) &amp;&amp; activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_CLOUD)) {</span>
<span class="nc" id="L52">            log.error(&quot;You have misconfigured your application! It should not&quot; +</span>
                &quot;run with both the 'dev' and 'cloud' profiles at the same time.&quot;);
        }
<span class="fc" id="L55">    }</span>

    /**
     * Main method, used to run the application.
     *
     * @param args the command line arguments
     * @throws UnknownHostException if the local host name could not be resolved into an address
     */
    public static void main(String[] args) throws UnknownHostException {
<span class="nc" id="L64">        SpringApplication app = new SpringApplication(CredenciamentoApp.class);</span>
<span class="nc" id="L65">        DefaultProfileUtil.addDefaultProfile(app);</span>
<span class="nc" id="L66">        Environment env = app.run(args).getEnvironment();</span>
<span class="nc" id="L67">        String protocol = &quot;http&quot;;</span>
<span class="nc bnc" id="L68" title="All 2 branches missed.">        if (env.getProperty(&quot;server.ssl.key-store&quot;) != null) {</span>
<span class="nc" id="L69">            protocol = &quot;https&quot;;</span>
        }
<span class="nc" id="L71">        log.info(&quot;\n----------------------------------------------------------\n\t&quot; +</span>
                &quot;Application '{}' is running! Access URLs:\n\t&quot; +
                &quot;Local: \t\t{}://localhost:{}\n\t&quot; +
                &quot;External: \t{}://{}:{}\n\t&quot; +
                &quot;Profile(s): \t{}\n----------------------------------------------------------&quot;,
<span class="nc" id="L76">            env.getProperty(&quot;spring.application.name&quot;),</span>
            protocol,
<span class="nc" id="L78">            env.getProperty(&quot;server.port&quot;),</span>
            protocol,
<span class="nc" id="L80">            InetAddress.getLocalHost().getHostAddress(),</span>
<span class="nc" id="L81">            env.getProperty(&quot;server.port&quot;),</span>
<span class="nc" id="L82">            env.getActiveProfiles());</span>
<span class="nc" id="L83">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>